---INFORMATION SCHEMA - TABLES
select * from information_schema.tables where table_schema='public';

select * from information_schema.columns where table_schema='public' and table_name='branch';

select * from information_schema.table_constraints where table_schema='public';

select distinct t.constraint_type from information_schema.table_constraints t, information_schema.key_column_usage k where k.constraint_name = t.constraint_name and t.table_name = 'worksat' and k.column_name='branch_id'

select k2.column_name, k2.table_name 
from 
	information_schema.key_column_usage k1, 
	information_schema.key_column_usage k2, 
	information_schema.referential_constraints r 
where k1.constraint_name=r.constraint_name 
	and k1.ordinal_position=k2.ordinal_position 
	and k2.constraint_name=r.unique_constraint_name 
	and k1.table_name='worksat' and k1.column_name='branch_id'

CREATE INDEX foo ON groupmember (groupid) WHERE groupid<1000;

CREATE DOMAIN email AS text
	CHECK(position($$@$$ in VALUE) > 0);

CREATE TABLE emailaddress (
	id SERIAL PRIMARY KEY,
	address EMAIL
);
INSERT INTO emailaddress VALUES (DEFAULT, 'foo');
INSERT INTO emailaddress VALUES (DEFAULT, 'foo@foo');

select * from pg_stat_activity;

select locktype, relname, pid, mode, granted from pg_locks l,
pg_class c where l.relation=c.oid;

select pg_cancel_backend(12);




